{% block sw_cms_el_image_slider_element %}	
	{% set element = block.slots.getSlot('one') %}
	
	{% set blocks = block.slots.elements %}
	
	{% set sliderConfig = element.fieldConfig.elements %}
	
	<div class="image-slider w-100 slider-mode-{{sliderConfig.displayMode.value}}">
		<div class="swiper-container">
			<div class="swiper-wrapper">
				{% for image in sliderConfig.sliderItems.value %}
					<div class="swiper-slide {% if sliderConfig.displayMode.value == "standard" %}d-flex justify-content-between align-items-center{% endif %}">
						<div class="swiper-slide-content px-5 py-4 p-lg-4">
							{% if image.contentTitle %}
								<p>{{image.contentTitle}}</p>
							{% endif %}
							
							{% if image.contentText %}
								<h2 class="my-3 my-lg-4">{{image.contentText}}</h2>
							{% endif %}
							
							{% if image.url %}
								<a href="{{image.url}}" {% if image.newTab %}target="_blank" rel="noopener"{% endif %} class="btn btn-primary">
									{{image.buttonText}}
								</a>
							{% endif %}
						</div>
						<div class="swiper-slide-image {% if sliderConfig.displayMode.value == "standard" %}align-self-end{% endif %}">
							{% set mediaCollection = searchMedia([image.mediaId], context.context) %}
							{% set sportsMedia = mediaCollection.get(image.mediaId) %}
						
							{% sw_thumbnails 'cms-image-slider-thumbnails' with {
								media: sportsMedia,
								sizes: { 
									'default': '1920px' 
								},
								attributes: { 
									'class': 'img-fluids', 
									'alt': sportsMedia.translated.alt, 
									'title': sportsMedia.translated.title 
								} 
							} %}
						</div>
					</div>
				{% endfor %}
			</div>
		</div>
		<div class="glide__arrows" data-glide-el="controls">
			<div class="swiper-button-prev rounded-circle">
				{% sw_icon 'arrow-head-left' style { 'color': 'body-color', 'size': 'sm' } %}
			</div>
			<div class="swiper-button-next rounded-circle">
				{% sw_icon 'arrow-head-right' style { 'color': 'body-color', 'size': 'sm' } %}
			</div>
		</div>
		<div class="swiper-pagination"></div>
	</div>
{% endblock %}